Subject: RE: Working without sctp_connectx

From: "Hill, Steve" <[email-masked]>
Date: Mon, 22 May 2006 09:12:26 +0100

Michael Tuexen wrote on 19 May 2006 18:29:

> Just to be sure:
> You need the sctp_connectx() function only to make use of the multiple
> IP-addresses of your peer *during* the association setup.
> After setting it up, you can make use of the multiple IP-addresses of
your
> peer, even if you use a regular connect() call.

Yep, I'm aware of this.  However, I clearly need to handle the case
where the primary address is unreachable at connect time.

>> 1. Try to connect() each IP address in turn (probably with a very
>> short timeout) until you succeed.
>
> We used 1., figured out that it is not elegant and invented
> sctp_connectx...

Thanks for the response - I suspected this was the best way to do it but
thought I'd better check to see if there was another solution I'd
overlooked.

 - Steve Hill
   Software Engineer
   Modular Communications Platform Division
   Intel
   Fordingbridge, Hampshire, UK
   +44-1425-631392
   [email-masked]
   http://www.intel.com/go/ss7